|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.apache.solr.handler.component.SearchComponent
org.apache.solr.handler.component.SpellCheckComponent
public class SpellCheckComponent
A SearchComponent implementation which provides support for spell checking and suggestions using the Lucene contributed SpellChecker.
Refer to http://wiki.apache.org/solr/SpellCheckComponent for more details
| Nested Class Summary |
|---|
| Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean |
|---|
SolrInfoMBean.Category |
| Field Summary | |
|---|---|
static String |
COMPONENT_NAME
Base name for all spell checker query parameters. |
static boolean |
DEFAULT_ONLY_MORE_POPULAR
|
protected NamedList |
initParams
|
protected QueryConverter |
queryConverter
|
protected Map<String,SolrSpellChecker> |
spellCheckers
Key is the dictionary, value is the SpellChecker for that dictionary name |
| Fields inherited from interface org.apache.solr.common.params.SpellingParams |
|---|
SPELLCHECK_BUILD, SPELLCHECK_COLLATE, SPELLCHECK_COUNT, SPELLCHECK_DICT, SPELLCHECK_EXTENDED_RESULTS, SPELLCHECK_ONLY_MORE_POPULAR, SPELLCHECK_PREFIX, SPELLCHECK_Q, SPELLCHECK_RELOAD |
| Constructor Summary | |
|---|---|
SpellCheckComponent()
|
|
| Method Summary | |
|---|---|
String |
getDescription()
Simple one or two line description |
String |
getSource()
CVS Source, SVN Source, etc |
String |
getSourceId()
CVS Id, SVN Id, etc |
protected SolrSpellChecker |
getSpellChecker(SolrParams params)
|
SolrSpellChecker |
getSpellChecker(String name)
|
Map<String,SolrSpellChecker> |
getSpellCheckers()
|
String |
getVersion()
Simple common usage version, e.g. |
void |
inform(SolrCore core)
|
void |
init(NamedList args)
|
void |
prepare(ResponseBuilder rb)
Prepare the response. |
void |
process(ResponseBuilder rb)
Process the request for this component |
protected NamedList |
toNamedList(SpellingResult spellingResult,
String origQuery,
boolean extendedResults,
boolean collate)
|
| Methods inherited from class org.apache.solr.handler.component.SearchComponent |
|---|
distributedProcess, finishStage, getCategory, getDocs, getName, getStatistics, handleResponses, modifyRequest |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final boolean DEFAULT_ONLY_MORE_POPULAR
public static final String COMPONENT_NAME
protected NamedList initParams
protected Map<String,SolrSpellChecker> spellCheckers
protected QueryConverter queryConverter
| Constructor Detail |
|---|
public SpellCheckComponent()
| Method Detail |
|---|
public void init(NamedList args)
init in interface NamedListInitializedPlugininit in class SearchComponent
public void prepare(ResponseBuilder rb)
throws IOException
SearchComponentSearchComponent.process(org.apache.solr.handler.component.ResponseBuilder) method.
Called for every incoming request.
The place to do initialization that is request dependent.
prepare in class SearchComponentrb - The ResponseBuilder
IOException
public void process(ResponseBuilder rb)
throws IOException
SearchComponent
process in class SearchComponentrb - The ResponseBuilder
IOExceptionprotected SolrSpellChecker getSpellChecker(SolrParams params)
public SolrSpellChecker getSpellChecker(String name)
protected NamedList toNamedList(SpellingResult spellingResult,
String origQuery,
boolean extendedResults,
boolean collate)
public void inform(SolrCore core)
inform in interface SolrCoreAwarepublic Map<String,SolrSpellChecker> getSpellCheckers()
public String getDescription()
SolrInfoMBean
getDescription in interface SolrInfoMBeangetDescription in class SearchComponentpublic String getVersion()
SolrInfoMBean
getVersion in interface SolrInfoMBeangetVersion in class SearchComponentpublic String getSourceId()
SolrInfoMBean
getSourceId in interface SolrInfoMBeangetSourceId in class SearchComponentpublic String getSource()
SolrInfoMBean
getSource in interface SolrInfoMBeangetSource in class SearchComponent
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||